commit:     01720b4e5e9176247590947ece391c1ee80e315f
Author:     William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
AuthorDate: Sun Nov  3 23:53:15 2019 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Nov  7 21:23:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01720b4e

games-fps/gzdoom: Version bump to 4.2.4

Closes: https://bugs.gentoo.org/699264
Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: William Breathitt Gray <vilhelm.gray <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/13539
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-fps/gzdoom/Manifest            |  1 +
 games-fps/gzdoom/gzdoom-4.2.4.ebuild | 83 ++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/games-fps/gzdoom/Manifest b/games-fps/gzdoom/Manifest
index 41800813492..77c9697b179 100644
--- a/games-fps/gzdoom/Manifest
+++ b/games-fps/gzdoom/Manifest
@@ -1 +1,2 @@
 DIST gzdoom-4.2.3.tar.gz 13682309 BLAKE2B 
33bc9b2c3a28b9b692bd2b28ba45dce95274f78eb42b18c17e48b546b5b5f0c19fe09fd9c36fbb27bae4b1235dd8f0bddde0e67e46d07ea3bca776e6768e697a
 SHA512 
d73b643f2ec6dbf7daa5048ba2db0f18968fb054ca9585dd07f18d20707efbe8e41cc3d8b4520d793d9d32ff34e1a6c74b2eaf84d0192d02263b907f5b3bbbc6
+DIST gzdoom-4.2.4.tar.gz 13683768 BLAKE2B 
cfdecaf6d92720b3a61fe986a63e6230674cafc65d02f5496a073ffe870319eec62c58377204fd8509fce4869b2a970cc4d1ad98db055d063393ce59d04b1d4f
 SHA512 
555e280db3d66a643cf1412ac1bae5f8c607af339a11a61b1039061de60cf6165c41b3de0c3323ac852b0b2f63f787a1c10ba9240da3174a85ec09d61f5b271a

diff --git a/games-fps/gzdoom/gzdoom-4.2.4.ebuild 
b/games-fps/gzdoom/gzdoom-4.2.4.ebuild
new file mode 100644
index 00000000000..da843dc71ad
--- /dev/null
+++ b/games-fps/gzdoom/gzdoom-4.2.4.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils desktop xdg
+
+DESCRIPTION="A modder-friendly OpenGL source port based on the DOOM engine"
+HOMEPAGE="https://zdoom.org";
+SRC_URI="https://github.com/coelckers/${PN}/archive/g${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD BZIP2 DUMB-0.9.3 GPL-3 LGPL-3 MIT
+       nonfree? ( Activision ChexQuest3 DOOM-COLLECTORS-EDITION freedist )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="gtk gtk2 +nonfree openmp"
+
+DEPEND="
+       media-libs/libsdl2[opengl]
+       media-libs/libsndfile
+       media-libs/openal
+       media-sound/fluidsynth:=
+       media-sound/mpg123
+       sys-libs/zlib
+       virtual/jpeg:0
+       gtk? (
+               gtk2? ( x11-libs/gtk+:2 )
+               !gtk2? ( x11-libs/gtk+:3 )
+       )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-g${PV}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.2.1-install_soundfonts.patch"
+       "${FILESDIR}/${PN}-4.2.1-Introduce-the-BUILD_NONFREE-option.patch"
+)
+
+src_prepare() {
+       rm -rf docs/licenses || die
+       if ! use nonfree ; then
+               rm -rf wadsrc_bm wadsrc_extra || die
+       fi
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DINSTALL_DOCS_PATH="${EPREFIX}/usr/share/doc/${PF}"
+               -DINSTALL_PK3_PATH="${EPREFIX}/usr/share/doom"
+               -DINSTALL_SOUNDFONT_PATH="${EPREFIX}/usr/share/doom"
+               -DDYN_FLUIDSYNTH=OFF
+               -DDYN_OPENAL=OFF
+               -DDYN_SNDFILE=OFF
+               -DDYN_MPG123=OFF
+               -DNO_GTK="$(usex !gtk)"
+               -DNO_OPENAL=OFF
+               -DNO_OPENMP="$(usex !openmp)"
+               -DBUILD_NONFREE="$(usex nonfree)"
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       newicon src/posix/zdoom.xpm "${PN}.xpm"
+       make_desktop_entry "${PN}" "GZDoom" "${PN}" "Game;ActionGame"
+       cmake-utils_src_install
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if ! use nonfree ; then
+               ewarn
+               ewarn "GZDoom installed without nonfree components."
+               ewarn "Note: The nonfree game_support.pk3 file is needed to 
play"
+               ewarn "      games natively supported by GZDoom."
+               ewarn "A list of games natively supported by GZDoom is 
available"
+               ewarn "on the ZDoom wiki: https://zdoom.org/wiki/IWAD";
+               ewarn
+       fi
+}

Reply via email to